{
  "__data_type": "UTP ",
  "AnimationState": {
    "type": "byte",
    "value": 0
  },
  "Appearance": {
    "type": "dword",
    "value": 1
  },
  "AutoRemoveKey": {
    "type": "byte",
    "value": 0
  },
  "BodyBag": {
    "type": "byte",
    "value": 0
  },
  "CloseLockDC": {
    "type": "byte",
    "value": 0
  },
  "Comment": {
    "type": "cexostring",
    "value": "Bookshelf script (spawns in books or a mage scroll).\r\n\r\nThis Bookshelf contains Books on Greyhawk (CEP)\r\n\r\nThese books are used in JayAre's module conversions of \"Scourge of the Slave Lords\".\r\n\r\nDescriptions were taken from \"Living Greyhawk Gazetter\" by Gary Holian, Erik Mona, Sean K Reynolds, and Frederick Weining.\r\n\r\nAlso from \"A Guide to the World of Greyhawk\" by E. Gary Gygax"
  },
  "Conversation": {
    "type": "resref",
    "value": ""
  },
  "CurrentHP": {
    "type": "short",
    "value": 15
  },
  "Description": {
    "type": "cexolocstring",
    "value": {
      "0": "A dizzying array of written works, each catalogued according to some fashion you cannot fathom. A number of them appear to be written in foreign tongues altogether.",
      "id": 14575
    }
  },
  "DisarmDC": {
    "type": "byte",
    "value": 15
  },
  "Faction": {
    "type": "dword",
    "value": 1
  },
  "Fort": {
    "type": "byte",
    "value": 16
  },
  "Hardness": {
    "type": "byte",
    "value": 5
  },
  "HasInventory": {
    "type": "byte",
    "value": 1
  },
  "HP": {
    "type": "short",
    "value": 15
  },
  "Interruptable": {
    "type": "byte",
    "value": 0
  },
  "ItemList": {
    "type": "list",
    "value": [
      {
        "__struct_id": 0,
        "InventoryRes": {
          "type": "resref",
          "value": "boccobstenentsof"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 0
        }
      },
      {
        "__struct_id": 1,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book007"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 0
        }
      },
      {
        "__struct_id": 2,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book008"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 0
        }
      },
      {
        "__struct_id": 3,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book009"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 2
        }
      },
      {
        "__struct_id": 4,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book004"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 2
        }
      },
      {
        "__struct_id": 5,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book033"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 2
        }
      },
      {
        "__struct_id": 6,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book034"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 5
        }
      },
      {
        "__struct_id": 7,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book020"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 5
        }
      },
      {
        "__struct_id": 8,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book021"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 5
        }
      },
      {
        "__struct_id": 9,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book035"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 7
        }
      },
      {
        "__struct_id": 10,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book022"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 7
        }
      },
      {
        "__struct_id": 11,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book023"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 7
        }
      },
      {
        "__struct_id": 12,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book024"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 10
        }
      },
      {
        "__struct_id": 13,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book025"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 10
        }
      },
      {
        "__struct_id": 14,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book026"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 10
        }
      },
      {
        "__struct_id": 15,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book027"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 12
        }
      },
      {
        "__struct_id": 16,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book028"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 12
        }
      },
      {
        "__struct_id": 17,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book029"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 12
        }
      },
      {
        "__struct_id": 18,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book030"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 15
        }
      },
      {
        "__struct_id": 19,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book031"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 15
        }
      },
      {
        "__struct_id": 20,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book036"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 15
        }
      },
      {
        "__struct_id": 21,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book037"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 17
        }
      },
      {
        "__struct_id": 22,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book038"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 17
        }
      },
      {
        "__struct_id": 23,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book005"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 17
        }
      },
      {
        "__struct_id": 24,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book039"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 20
        }
      },
      {
        "__struct_id": 25,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book011"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 20
        }
      },
      {
        "__struct_id": 26,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book013"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 20
        }
      },
      {
        "__struct_id": 27,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book015"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 22
        }
      },
      {
        "__struct_id": 28,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book016"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 22
        }
      },
      {
        "__struct_id": 29,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book017"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 22
        }
      },
      {
        "__struct_id": 30,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book002"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 25
        }
      },
      {
        "__struct_id": 31,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book003"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 25
        }
      },
      {
        "__struct_id": 32,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book001"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 25
        }
      },
      {
        "__struct_id": 33,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book018"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 27
        }
      },
      {
        "__struct_id": 34,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book010"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 27
        }
      },
      {
        "__struct_id": 35,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book012"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 27
        }
      },
      {
        "__struct_id": 36,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book014"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 0
        },
        "Repos_Posy": {
          "type": "word",
          "value": 30
        }
      },
      {
        "__struct_id": 37,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book019"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 2
        },
        "Repos_Posy": {
          "type": "word",
          "value": 30
        }
      },
      {
        "__struct_id": 38,
        "InventoryRes": {
          "type": "resref",
          "value": "nw_it_book006"
        },
        "Repos_PosX": {
          "type": "word",
          "value": 4
        },
        "Repos_Posy": {
          "type": "word",
          "value": 30
        }
      }
    ]
  },
  "KeyName": {
    "type": "cexostring",
    "value": ""
  },
  "KeyRequired": {
    "type": "byte",
    "value": 0
  },
  "Lockable": {
    "type": "byte",
    "value": 0
  },
  "Locked": {
    "type": "byte",
    "value": 0
  },
  "LocName": {
    "type": "cexolocstring",
    "value": {
      "0": "Greyhawk Bookshelf",
      "id": 14576
    }
  },
  "OnClick": {
    "type": "resref",
    "value": ""
  },
  "OnClosed": {
    "type": "resref",
    "value": ""
  },
  "OnDamaged": {
    "type": "resref",
    "value": ""
  },
  "OnDeath": {
    "type": "resref",
    "value": "nw_o2_bookshelf"
  },
  "OnDisarm": {
    "type": "resref",
    "value": ""
  },
  "OnHeartbeat": {
    "type": "resref",
    "value": ""
  },
  "OnInvDisturbed": {
    "type": "resref",
    "value": ""
  },
  "OnLock": {
    "type": "resref",
    "value": ""
  },
  "OnMeleeAttacked": {
    "type": "resref",
    "value": ""
  },
  "OnOpen": {
    "type": "resref",
    "value": "nw_o2_bookshelf"
  },
  "OnSpellCastAt": {
    "type": "resref",
    "value": ""
  },
  "OnTrapTriggered": {
    "type": "resref",
    "value": ""
  },
  "OnUnlock": {
    "type": "resref",
    "value": ""
  },
  "OnUsed": {
    "type": "resref",
    "value": ""
  },
  "OnUserDefined": {
    "type": "resref",
    "value": ""
  },
  "OpenLockDC": {
    "type": "byte",
    "value": 18
  },
  "PaletteID": {
    "type": "byte",
    "value": 6
  },
  "Plot": {
    "type": "byte",
    "value": 0
  },
  "PortraitId": {
    "type": "word",
    "value": 359
  },
  "Ref": {
    "type": "byte",
    "value": 0
  },
  "Static": {
    "type": "byte",
    "value": 0
  },
  "Tag": {
    "type": "cexostring",
    "value": "GreyhawkBookshelf"
  },
  "TemplateResRef": {
    "type": "resref",
    "value": "greyhawkbookshel"
  },
  "TrapDetectable": {
    "type": "byte",
    "value": 1
  },
  "TrapDetectDC": {
    "type": "byte",
    "value": 0
  },
  "TrapDisarmable": {
    "type": "byte",
    "value": 1
  },
  "TrapFlag": {
    "type": "byte",
    "value": 0
  },
  "TrapOneShot": {
    "type": "byte",
    "value": 1
  },
  "TrapType": {
    "type": "byte",
    "value": 0
  },
  "Type": {
    "type": "byte",
    "value": 0
  },
  "Useable": {
    "type": "byte",
    "value": 1
  },
  "Will": {
    "type": "byte",
    "value": 0
  }
}
